@page {
    size: A4;
    margin: 0cm;
    padding: 0cm;
}
body {
}
b {
    font-weight: bold;
}
#cvo-document-root {
    margin: 0px auto;
    padding: 0;
    position: relative;
}
.cvo-form {
    display: none;
}
#cvo-document {
    color: #000;
}
.cvo-document {
    width: 100%;
}
.cvo-clickable-link {
    color: inherit !important;
}
.cvo-document .cvo-page {
    width: 210mm;
    min-height: 260mm;
    padding: 20mm;
    margin: 0mm auto;
    box-shadow: 0 0 1px rgba(0,0,0,0.25);
    background-color: white;
}
.cvo-document .cvo-subpage {
    padding: 5mm;
    min-height: 200mm;
}
.saveBtns {
    text-align: center;
}

.tmpAbsoluteHidden {
    position: absolute;
    top: -10000cm;
}

[cvo-form-field] {
    cursor: text;
}
[cvo-form-field][type=rate] {
    cursor: pointer;
}
[cvo-form-field]:hover
/*[cvo-form-field]:focus*/
{
    outline: 1pt dashed rgb(119, 165, 204);
}
[cvo-form-field].disabled {
    outline: none;
    cursor: default;
    background-color: #eee;
}
[cvo-form-fieldgroup].disabled {
    background-color: #eee;
}
[cvo-form-fieldgroup].disabled,
[cvo-form-field].disabled {
    color: transparent;
    text-shadow: 0 0 3px rgba(0,0,0,0.6);
}
[cvo-form-fieldgroup].disabled::after {
    content: "Tiêu đề phía trên và nội dung mục này sẽ không hiển thị trong CV của bạn. Bấm Thêm mục để hiển thị.";
    background-color: rgb(26, 188, 156);
    text-shadow: none;
    color: white;
    display: block;
    padding: 3px;
}
[cvo-form-field][type=text]:focus {
    cursor: text;
}
/*[cvo-form-field][type=image]:hover::after {
    background-color: rgba(0,0,0,0.6);
    content: 'xx';
}*/

[type=fieldgroup]:hover {
    position: relative;
    box-shadow: 0px 0px 1px #999;
}
#fieldgroup_controls {
    display: none;
}
.fieldgroup_controls {
    text-align: right;
    position: absolute;
    display: block;
    top: -35px;
    right: 0px;
    text-shadow: none;
    min-width: 200px;
    font-family: arial, sans-serif;
    z-index: 1049;
}
.fieldgroup_controls * {
    text-shadow: none;
}
.fieldgroup_controls .suggest-control,
.fieldgroup_controls .clone,
.fieldgroup_controls .remove,
.fieldgroup_controls .up,
.fieldgroup_controls .down {
    display: inline-block;
    text-align: center;
    cursor: pointer;
    font-weight: bold;
    margin: 0 auto;
    line-height: 14px;
    font-size: 11px;
    width: 50px;
    color: white;
    border-radius: 5px;
    padding: 5px;
    margin-top: 10px;
}
.fieldgroup_controls .suggest-control {
    background-color: #333;
}
.fieldgroup_controls .suggest-control:hover {
    background-color: #666;
}
.fieldgroup_controls .clone {
    font-size: 11px;
    background-color: #3CB371;
    width: 55px;
}
.fieldgroup_controls .clone:hover {
    background-color: green;
}
.fieldgroup_controls .remove {
    background-color: #F15C4C;
    font-size: 11px;
    width: 65px;
}
.fieldgroup_controls .remove:hover {
    background-color: red;
}
.fieldgroup_controls .down,
.fieldgroup_controls .up {
    width: 30px;
    background-color: #fcfcfc;
    color: #666;
    border: 1px solid #999;
}
.fieldgroup_controls .down:hover,
.fieldgroup_controls .up:hover {
    color: #18B18F;
    border: 1px solid #18B18F;
}
img[cvo-form-field][type=image]:hover {
    outline: 1px dashed rgb(119, 165, 204);;
    cursor: pointer;
}
.default_min_width {
    min-width: 25pt;
}

[contentEditable=true] {
    min-height: 1em;
    display: inline-block;
    position: relative;
    word-break: break-word;
}
[contenteditable=true]:empty:before {
    content:attr(cvo-placeholder);
    color: #9197a3;
    font-weight: 100;
    padding: 3px;
}
.cvoInvalidate {
    outline: 1px dashed rgb(252, 75, 8);
    color: red;
}
.cvoInvalidate:hover:after {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    content: attr(error-tooltip);
    position: absolute;
    z-index: 1;
    bottom: 100%;
    margin-bottom: 3px;
    right: 0;
    width: 180px;
    background-color: rgba(251, 88, 88, 0.86);
    font-size: 11px;
    line-height: 1.6em;
    font-weight: normal;
    text-decoration: none;
    text-transform: none;
    text-align: center;
    color: white;
    padding: 5px;
    border-radius: 5px;
}
#cv-title {
    padding: 5px 0px;
    margin: 0 auto;
    text-align: center;
    width: 100%;
    margin-bottom: 8px;
    font-size: 20px;
}
#cv-title[contenteditable] {
    outline: 1px dashed #ccc;
}
/* Block controls */
#cvbuilder-container .cvo-block:hover {
    position: relative;
    box-shadow: 0px 0px 0px 2px #ccc inset;
    border-radius: 0 4px 4px 4px;
    -moz-border-radius: 0 4px 4px 4px;
    -webkit-border-radius: 0 4px 4px 4px;
}
#blockControls {
    display: none;
}
#cvo-document .cvo-block .blockControls {
    font-family: arial, sans-serif;
    position: absolute;
    z-index: 1000;
    height: 36px;
    top: -36px;
    left: 0px;
    text-align: center;
    padding: 0 8px;
    text-shadow: none;
    display: block;
    background-color: #ccc;
    opacity: 1;
    border-radius: 4px 4px 0 0;
    -moz-border-radius: 4px 4px 0 0;
    -webkit-border-radius: 4px 4px 0 0;
}
#cvo-document .cvo-block .blockControls * {
    text-shadow: none;
}
#cvo-document .cvo-block .blockControls .show-layout-editor,
#cvo-document .cvo-block .blockControls .hide,
#cvo-document .cvo-block .blockControls .up,
#cvo-document .cvo-block .blockControls .down {
    font-family: tahoma;
    display: inline-block;
    text-align: center;
    cursor: pointer;
    font-weight: bold;
    margin: 0 auto;
    line-height: 14px;
    font-size: 12px;
    width: 50px;
    color: white;
    border-radius: 5px;
    padding: 5px;
    margin-top: 6px;
}
#cvo-document .cvo-block .blockControls .hide {
    background-color: #F15C4C;
    width: 90px;
}
#cvo-document .cvo-block .blockControls .hide:hover {
    background-color: red;
}
#cvo-document .cvo-block .blockControls .show-layout-editor,
#cvo-document .cvo-block .blockControls .down,
#cvo-document .cvo-block .blockControls .up {
    width: 30px;
    background-color: #fcfcfc;
    color: #666;
}
#cvo-document .cvo-block .blockControls .show-layout-editor:hover,
#cvo-document .cvo-block .blockControls .down:hover,
#cvo-document .cvo-block .blockControls .up:hover {
    color: #18B18F;
}
.paging-separator {
    position: absolute;
    width: 1px;
    transition: all 0.3s ease;
    border-bottom: 1px dashed rgba(31, 188, 137, 0);
    z-index: 1024;
}
.paging-separator:hover {
    border-bottom: 1px dashed rgba(31, 188, 137, 1);
}
.paging-arrow {
    width: 45px;
    height: 20px;
    background-color: rgba(31, 188, 137, 0.6);
    color: white;
    font-size: 11px;
    line-height: 20px;
    text-align: center;
    margin-left: -45px;
    margin-bottom: -10px;
    cursor: default;
    transition: all 0.3s ease;
    border-radius: 3px 0 0 3px;
}
.paging-arrow:hover {
    background-color: rgba(31, 188, 137, 1);
}
.select2-container {
    font-size: 12px;
}
.select2-container--default .select2-selection--single {
    border-radius: 0;
    border-color: #efefef;
}
.select2-dropdown {
    border-color: #efefef;
}
.select2-container--default .select2-results>.select2-results__options {
    font-size: 12px;
}
